# Uses of Class
org.apache.commons.math3.linear.NonPositiveDefiniteMatrixException

Packages that use NonPositiveDefiniteMatrixException
Package
Description
org.apache.commons.math3.distribution
Implementations of common discrete and continuous distributions.
org.apache.commons.math3.linear
Linear algebra support.

## Uses of NonPositiveDefiniteMatrixException in org.apache.commons.math3.distribution

Constructors in org.apache.commons.math3.distribution that throw NonPositiveDefiniteMatrixException
Modifier
Constructor
Description
``
`MultivariateNormalDistribution(double[] means, double[][] covariances)`
Creates a multivariate normal distribution with the given mean vector and covariance matrix.
``
`MultivariateNormalDistribution(RandomGenerator rng, double[] means, double[][] covariances)`
Creates a multivariate normal distribution with the given mean vector and covariance matrix.

## Uses of NonPositiveDefiniteMatrixException in org.apache.commons.math3.linear

Constructors in org.apache.commons.math3.linear that throw NonPositiveDefiniteMatrixException
Modifier
Constructor
Description
``
`RectangularCholeskyDecomposition(RealMatrix matrix)`
Decompose a symmetric positive semidefinite matrix.
``
`RectangularCholeskyDecomposition(RealMatrix matrix, double small)`
Decompose a symmetric positive semidefinite matrix.